package javax.imageio.spi;

import java.io.IOException;
import javax.imageio.stream.ImageInputStream;
import java.io.File;

public abstract class ImageInputStreamSpi extends IIOServiceProvider
{
    protected Class<?> inputClass;
    
    protected ImageInputStreamSpi() {
    }
    
    public ImageInputStreamSpi(String s, String s2, Class<?> inputClass) {
        super(s, s2);
        this.inputClass = inputClass;
    }
    
    public Class<?> getInputClass() {
        return this.inputClass;
    }
    
    public boolean canUseCacheFile() {
        return false;
    }
    
    public boolean needsCacheFile() {
        return false;
    }
    
    public abstract ImageInputStream createInputStreamInstance(Object p0, boolean p1, File p2) throws IOException;
    
    public ImageInputStream createInputStreamInstance(Object o) throws IOException {
        return this.createInputStreamInstance(o, true, null);
    }
}
